Bug 144363 - New port: devel/cpuflags - Determine compiler flags to best target current cpu
New port: devel/cpuflags - Determine compiler flags to best target current cpu
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-28 14:50 UTC by acieroid
Modified: 2010-04-15 13:00 UTC (History)
0 users

See Also:


Attachments
file.shar (44.33 KB, text/plain)
2010-02-28 14:50 UTC, acieroid
no flags Details
cpuflags.txt (3.13 KB, text/plain; charset=utf-8)
2010-03-06 22:30 UTC, acieroid
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description acieroid 2010-02-28 14:50:02 UTC
Port of pkgsrc's devel/cpuflags

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2010-03-04 14:45:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 amdmi3 2010-03-06 20:43:19 UTC
* Quentin Stievenart (acieroid@awesom.eu) wrote:

> Port of pkgsrc's devel/cpuflags

Thirt party sources shouldn't be kept in the portstree - you'll
have to make a tarball with cpuflags sources and put somewhere
people can download it from. If there's problem with that, I can
put it on my own or FreeBSD mirrors.

Also, are you sure that the version is 1.41 (Makefile says 1.14),
and what's USE_LANGUAGES line for?

As a side note, *.out, *.mk, Makefile, subr_Linux, subr_NetBSD,
subr_SunOS are not needed at all. I also doubt if manpage should be
installed, as it contains mostly NetBSD-specific mk stuff.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2010-03-06 20:43:34 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 acieroid 2010-03-06 22:30:50 UTC
Dmitry Marakasov a écrit :
> * Quentin Stievenart (acieroid@awesom.eu) wrote:
> 
> > Port of pkgsrc's devel/cpuflags
> 
> Thirt party sources shouldn't be kept in the portstree - you'll
> have to make a tarball with cpuflags sources and put somewhere
> people can download it from. If there's problem with that, I can
> put it on my own or FreeBSD mirrors.
> 
> Also, are you sure that the version is 1.41 (Makefile says 1.14),
> and what's USE_LANGUAGES line for?
> 
> As a side note, *.out, *.mk, Makefile, subr_Linux, subr_NetBSD,
> subr_SunOS are not needed at all. I also doubt if manpage should be
> installed, as it contains mostly NetBSD-specific mk stuff.
> 
> -- 
> Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
> amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru

Sorry about all the stuff in files/, but it's the way they did in
pkgsrc. I uploaded a tarball on a server, but can't promise this server
will never be down.

I removed all the non-FreeBSD stuff and the manual, and adapted the
Makefile (USE_LANGUAGE was something from pkgsrc). But the version is
the 1.41 (http://pkgsrc.se/devel/cpuflags), not as said in the Makefile.
Comment 5 Dmitry Marakasov freebsd_committer 2010-04-15 12:54:34 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter freebsd_committer 2010-04-15 12:54:42 UTC
amdmi3      2010-04-15 11:54:26 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/cpuflags       Makefile distinfo pkg-descr pkg-plist 
    devel/cpuflags/files patch-Makefile 
  Log:
  cpuflags returns the appropriate gcc flags to optimise compilation for the
  current CPU.
  
  PR:             144363
  Submitted by:   Quentin Stievenart <acieroid@awesom.eu>
  
  Revision  Changes    Path
  1.3875    +1 -0      ports/devel/Makefile
  1.1       +19 -0     ports/devel/cpuflags/Makefile (new)
  1.1       +3 -0      ports/devel/cpuflags/distinfo (new)
  1.1       +27 -0     ports/devel/cpuflags/files/patch-Makefile (new)
  1.1       +2 -0      ports/devel/cpuflags/pkg-descr (new)
  1.1       +5 -0      ports/devel/cpuflags/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"